function display(obj)
% display - method 
X = struct(obj);
bO.label = label(obj);
bO.source = source(obj);
bO.binarize = binarize(obj);
bO.roithresh = roithresh(obj);
n =  descrip(obj);
if isempty(n), n = '(no descrip)';end
src = ['[' class(obj) ' - ' n ']'];
if isequal(get(0,'FormatSpacing'),'compact')
  disp([inputname(1) ' =']);
  disp(src);
  disp(bO)
  disp(X)
else
  disp(' ')
  disp([inputname(1) ' =']);
  disp(' ');
  disp(src);
  disp(' ');
  disp(bO)
  disp(' ');
  disp(X)
end    
